public class MiniAutomat { 
	private static final String[] stateNames = { 
	"-Reset-", "Off,Aus", "On,An" }; 
	private int state; // 0=reset, 1=Aus, 2=An 
	private String message = "new"; 

	public String toString() { // Formatieren 
		return "Zustand " + getStatename() 
				+ " durch " + message; 
	} // toString() 

	public int getState() {
		return state;
	} // getState()

	public String getStatename() { 
		return stateNames[state]; 
	} // getStatename()

	public void reset() {
		message = "reset"; 
		switch (state) {
		case 0:
			message += " (invalid, no state change)";
			break;
		case 1:
		case 2:
			state = 0;
			break;
		}
	} // reset() 

	public void toggle() {
		message = "toggle";
		switch (state) {
		case 0:
		case 2:
			state = 1;
			break;
		case 1:
			state = 2;
			break;
		}
	} // toggle()

	public void on() {
		message = "on";
		state = 2;
	} // on()

	public void off() {
		message = "off";
		state = 1;
	} // off()
} // class MiniAutomat 